cURL
curl --request GET \
--url https://api.helohq.com/activity/messages/{id} \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk.Activity;
var messageDetails = await helo.Activity.RetrieveMessage("550e8400-e29b-41d4-a716-446655440000");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
Helo::Activity.retrieve_message(id)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
message_details = client.activity.retrieve_message(
"550e8400-e29b-41d4-a716-446655440000",
)package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
result, err := client.Activity.RetrieveMessage(ctx, "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.activity.retrieveMessage(
"550e8400-e29b-41d4-a716-446655440000",
);{
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"mailType": "transactional",
"mailSource": "api",
"deliveryType": "live",
"status": "queued",
"subject": "<string>",
"from": {
"email": "jsmith@example.com",
"name": "<string>"
},
"to": [
{
"email": "jsmith@example.com",
"name": "<string>"
}
],
"tracking": {
"links": true,
"opens": true
},
"events": [
{
"eventType": "accepted",
"timestamp": "2023-11-07T05:31:56Z",
"recipients": [
"<string>"
],
"details": {}
}
],
"cc": [
{
"email": "jsmith@example.com",
"name": "<string>"
}
],
"bcc": [
{
"email": "jsmith@example.com",
"name": "<string>"
}
],
"replyTo": [
{
"email": "jsmith@example.com",
"name": "<string>"
}
],
"text": "<string>",
"html": "<string>",
"body": "<string>",
"tags": [
"<string>"
],
"headers": {},
"metadata": {},
"attachments": [
{
"fileName": "<string>",
"disposition": "inline",
"size": 123
}
],
"statistics": {
"delivered": 123,
"bounced": 123,
"opened": 123,
"clicked": 123,
"complained": 123,
"unsubscribed": 123
}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Activity
Retrieve message details
Fetches detailed tracking information for a specific message, including all associated events.
GET
/
activity
/
messages
/
{id}
cURL
curl --request GET \
--url https://api.helohq.com/activity/messages/{id} \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk.Activity;
var messageDetails = await helo.Activity.RetrieveMessage("550e8400-e29b-41d4-a716-446655440000");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
Helo::Activity.retrieve_message(id)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
message_details = client.activity.retrieve_message(
"550e8400-e29b-41d4-a716-446655440000",
)package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
result, err := client.Activity.RetrieveMessage(ctx, "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.activity.retrieveMessage(
"550e8400-e29b-41d4-a716-446655440000",
);{
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"mailType": "transactional",
"mailSource": "api",
"deliveryType": "live",
"status": "queued",
"subject": "<string>",
"from": {
"email": "jsmith@example.com",
"name": "<string>"
},
"to": [
{
"email": "jsmith@example.com",
"name": "<string>"
}
],
"tracking": {
"links": true,
"opens": true
},
"events": [
{
"eventType": "accepted",
"timestamp": "2023-11-07T05:31:56Z",
"recipients": [
"<string>"
],
"details": {}
}
],
"cc": [
{
"email": "jsmith@example.com",
"name": "<string>"
}
],
"bcc": [
{
"email": "jsmith@example.com",
"name": "<string>"
}
],
"replyTo": [
{
"email": "jsmith@example.com",
"name": "<string>"
}
],
"text": "<string>",
"html": "<string>",
"body": "<string>",
"tags": [
"<string>"
],
"headers": {},
"metadata": {},
"attachments": [
{
"fileName": "<string>",
"disposition": "inline",
"size": 123
}
],
"statistics": {
"delivered": 123,
"bounced": 123,
"opened": 123,
"clicked": 123,
"complained": 123,
"unsubscribed": 123
}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Available options:
transactional, broadcast Available options:
api, smtp Available options:
live, sandbox Available options:
queued, sent Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes